##
##  rfc.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         rfc
Summary:      Request For Comment (RFC) Retrival Tool
URL:          http://www.dewn.com/rfc/
Vendor:       Derrick Daugherty
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Misc
License:      PD
Version:      3.2.3
Release:      20020809

#   list of sources
Source0:      http://www.dewn.com/rfc/rfc-%{version}.tar.gz
Source1:      http://www.dewn.com/rfc/nmap-services
Source2:      http://ftp.isi.edu/in-notes/rfc-index.txt

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, perl
AutoReq:      no
AutoReqProv:  no

%description
    This tool will allow you to specify a number of an RFC, or a string
    that you're looking for, and return all related RFC's. You can also
    throw in the -l switch and have it spawn a browser to view the RFC.
    This is 100 times faster than scouring the Web for the RFC.

%prep
    %setup -q

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -m 755 \
        -e "s;^#!.*;#!%{l_prefix}/bin/perl;" \
        -e "s;/usr/local/etc/rfc-index;%{l_prefix}/var/rfc/rfc-index.txt;" \
        -e "s;/usr/local/etc/nmap-services;%{l_prefix}/var/rfc/nmap-services;" \
        -e "s;/local/path/to/rfcs/;%{l_prefix}/var/rfc/;" \
        rfc-%{version} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/rfc
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/rfc
    %{l_shtool} install -c -m 755 \
        %{SOURCE nmap-services} \
        $RPM_BUILD_ROOT%{l_prefix}/var/rfc/
    %{l_shtool} install -c -m 755 \
        %{SOURCE rfc-index.txt} \
        $RPM_BUILD_ROOT%{l_prefix}/var/rfc/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

